import { DefaultOptons, Options, paramCore } from "../types/index";
declare class cssEffect {
    data: DefaultOptons;
    constructor(options: Options);
    config(): void;
    private init;
    /**
     * 一：省事模式：显示完毕就不管了
     * 第一个分类：开始进入的时候
     * @param element 传入的元素，暂时只是单个元素，需要指定一个唯一的标识符号 css_index
     * @param distance_viewable_num 可视区距离顶部距离的高度
     * @param distance_css_num css移动的距离
     * @param key 需要指定唯一的key
     */
    commonEnterUp(data: paramCore): void;
    commonEnterLeft(data: paramCore): void;
    commonEnterRight(data: paramCore): void;
    /**
     * 二：用户自己控制
     * 2.1：开始进入的时候
     * @param element 传入的元素，暂时只是单个元素，需要指定一个唯一的标识符号 css_index
     * @param distance_viewable_num 可视区距离顶部距离的高度
     * @param distance_css_num css移动的距离
     * @param key 需要指定唯一的key
     */
    userEnterUp(data: paramCore): void;
    userEnterBottom(data: paramCore): void;
    userEnterRight(data: paramCore): void;
    userEnterLeft(data: paramCore): void;
    /**
     * 二：用户自己控制
     * 2.2：离开的时候
     * @param element 传入的元素，暂时只是单个元素，需要指定一个唯一的标识符号 css_index
     * @param distance_viewable_num 可视区距离顶部距离的高度
     * @param distance_css_num css移动的距离
     * @param key 需要指定唯一的key
     */
    userLeaveLeft(data: paramCore): void;
    userLeaveRight(data: paramCore): void;
    userLeaveDown(data: paramCore): void;
    /**
     * 三：通过帧来进行控制
     * 3.1
     * @param element 传入的元素，暂时只是单个元素，需要指定一个唯一的标识符号 css_index
     * @param distance_viewable_num 可视区距离顶部距离的高度
     * @param distance_css_num css移动的距离
     * @param key 需要指定唯一的key
     */
    frameLeft(data: paramCore): void;
    frameRight(data: paramCore): void;
    frameTop(data: paramCore): void;
    frameBottom(data: paramCore): void;
}
export { cssEffect };
