import cache from '../utils/cache'
let cssLeaveLeft=(value = 150,key= "defalut_left")=>{ 
    return ` 
    .disappear_left_${key} {
        animation: opacity_noshow_left_${key} ${Number(cache.get("time"))}s cubic-bezier(0.445, 0.05, 0.55, 0.95) forwards;  
        animation-delay:${Number(cache.get("delay"))}s
    }
    
    @keyframes opacity_noshow_left_${key}{
        0% {
            -webkit-transform: scale(0.3);
            transform: scale(0.3);
            -webkit-transform: translateX(0px);
            transform: translateX(0px);
            opacity: 1;
        }
        100% {
            -webkit-transform: scale(1);
            transform: scale(1);
            -webkit-transform: translateX(-${value}px);
            transform: translateX(-${value}px);
            opacity: 0.1;
        }
    }
    `
}


let cssLeaveRight=(value = 150,key= "defalut_right")=>{ 
    return ` 
    .disappear_right_${key} {
        animation: opacity_noshow_right_${key} ${Number(cache.get("time"))}s cubic-bezier(0.445, 0.05, 0.55, 0.95) forwards; 
        animation-delay:${Number(cache.get("delay"))}s
    }
    
    @keyframes opacity_noshow_right_${key}{
        0% {
            -webkit-transform: scale(0.3);
            transform: scale(0.3);
            -webkit-transform: translateX(0px);
            transform: translateX(0px);
            opacity: 1;
        }
        100% {
            -webkit-transform: scale(1);
            transform: scale(1);
            -webkit-transform: translateX(${value}px);
            transform: translateX(${value}px);
            opacity: 0.1;
        }
    }
    `
}

let cssLeaveUp=(value = 150,key= "defalut_top")=>{ 
    return ` 
    .disappear_up_${key} {
        animation: opacity_noshow_Up_${key} ${Number(cache.get("time"))}s cubic-bezier(0.445, 0.05, 0.55, 0.95) forwards; 
        animation-delay:${Number(cache.get("delay"))}s
    }
    
    @keyframes opacity_noshow_Up_${key}{
        0% {
            -webkit-transform: scale(0.3);
            transform: scale(0.3);
            -webkit-transform: translateY(0px);
            transform: translateY(0px);
            opacity: 1;
        }
        100% {
            -webkit-transform: scale(1);
            transform: scale(1);
            -webkit-transform: translateY(-${value}px);
            transform: translateY(-${value}px);
            opacity: 0.1;
        }
    }
    `
}



let cssLeaveDown=(value = 150,key= "defalut_down")=>{ 
    return ` 
    .disappear_down_${key} {
        animation: opacity_noshow_down_${key} ${Number(cache.get("time"))}s cubic-bezier(0.445, 0.05, 0.55, 0.95) forwards; 
        animation-delay:${Number(cache.get("delay"))}s
    }
    
    @keyframes opacity_noshow_down_${key}{
        0% {
            -webkit-transform: scale(0.3);
            transform: scale(0.3);
            -webkit-transform: translateY(0px);
            transform: translateY(0px);
            opacity: 1;
        }
        100% {
            -webkit-transform: scale(1);
            transform: scale(1);
            -webkit-transform: translateY(${value}px);
            transform: translateY(${value}px);
            opacity: 0.1;
        }
    }
    `
}


let cssEnterUp=(value = 150,key= "defalut_up")=>{ 
    return `          
            .appear_up_${key} { 
                animation: opacity_show_up_${key} ${Number(cache.get("time"))}s cubic-bezier(0.445, 0.05, 0.55, 0.95) forwards; 
                animation-delay:${Number(cache.get("delay"))}s
            }

            @keyframes opacity_show_up_${key}{
                0% {
                    -webkit-transform: scale(0.3);
                    transform: scale(0.3);
                    -webkit-transform: translateY(${value}px);
                    transform: translateY(${value}px);
                    opacity: 0.1;
                }
                100% {
                    -webkit-transform: scale(1);
                    transform: scale(1);
                    -webkit-transform: translateY(0px);
                    transform: translateY(0px);
                    opacity: 1;
                }
            }

            `
}

// 1.2 可视区向右——源区域在左边到右边（到达本来位置）
let cssEnterRight=(value = 150,key= "defalut_right")=>{ 
    return ` 
    .appear_right_${key} {
        animation: opacity_show_right_${key} ${Number(cache.get("time"))}s cubic-bezier(0.445, 0.05, 0.55, 0.95) forwards; 
        animation-delay:${Number(cache.get("delay"))}s
    }
    
    @keyframes opacity_show_right_${key}{
        0% {
            -webkit-transform: scale(0.3);
            transform: scale(0.3);
            -webkit-transform: translateX(-${value}0px);
            transform: translateX(-${value}px);
            opacity: 0.1;
        }
        100% {
            -webkit-transform: scale(1);
            transform: scale(1);
            -webkit-transform: translateX(0px);
            transform: translateX(0px);
            opacity: 1;
        }
    }
    `
}



// 1.3 可视区向左——源区域在右边到左边（到达本来位置）
let cssEnterLeft=(value = 150,key= "defalut_left")=>{ 
    return ` 
    .appear_left_${key} {
        animation: opacity_show_left_${key} ${Number(cache.get("time"))}s cubic-bezier(0.445, 0.05, 0.55, 0.95) forwards; 
        animation-delay:${Number(cache.get("delay"))}s
    }
    
    @keyframes opacity_show_left_${key}{
        0% {
            -webkit-transform: scale(0.3);
            transform: scale(0.3);
            -webkit-transform: translateX(${value}px);
            transform: translateX(${value}px);
            opacity: 0.1;
        }
        100% {
            -webkit-transform: scale(1);
            transform: scale(1);
            -webkit-transform: translateX(0px);
            transform: translateX(0px);
            opacity: 1;
        }
    }
    `
}


export {
    cssLeaveLeft,cssLeaveRight,cssLeaveUp,cssLeaveDown,
    cssEnterUp,cssEnterRight,cssEnterLeft
}