const path = require('path') // node包里面的path模块，主要是为了帮我们拼接路径

// webpack中所有的配置信息都应该写在module.exports中
module.exports = {
    mode: 'development',
    // 指定入口文件
    entry: './src/index.ts',
    // 指定打包文件输出目录
    output: {
        path: path.resolve(__dirname,'dist'), //'./dist' 使用path拼接完整路径
        // 打包后文件的名字
        filename: 'bundle.js', // 随意命名
    },
    // 指定webpack打包时要使用的模块，哪些loader
    module: {
        // 指定要加载的规则
        rules: [
            {
                // test指定的是对那些文件生效
                test:/\.ts$/, // 通过正则表达式匹配文件的名字
                loader: 'ts-loader', // 通过ts-loader处理以ts结尾的文件
                exclude: /node_modules/, // 指定要排除的文件
                // options: {
                //     configFile: path.resolve(__dirname, './ts.config.json')
                //  }
            }
        ]
    }
}